Skip to navigation

List Sources

Returns the sources visible to your organization: the canonical sources Chariot maintains, plus any custom sources your organization has added.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.
scopeenumOptional
Filter by source scope. Omit to return both canonical and custom sources.
Allowed values:

Response headers

X-Request-IdstringOptional
The unique identifier for the request

Response

The response for Sources.list
resultslist of objectsOptional
next_page_tokenstringOptional

A cursor token to retrieve the next page of results. If specified, more results exist on the server; otherwise the list has been exhausted.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error